apiVersion: forklift.konveyor.io/v1beta1
kind: Plan
metadata:
  annotations:
    populatorLabels: "True"
  creationTimestamp: "2025-09-30T10:53:46Z"
  generation: 1
  name: plan-rhel9
  namespace: mtv-test
  resourceVersion: "23417784"
  uid: 350d78fb-62a2-4fc7-b691-a8e46ef113e1
spec:
  map:
    network:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: NetworkMap
      name: plan-rhel9-network-map
      namespace: mtv-test
    storage:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: StorageMap
      name: plan-rhel9-storage-map
      namespace: mtv-test
  migrateSharedDisks: true
  preserveStaticIPs: true
  provider:
    destination:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: Provider
      name: host
      namespace: mtv-test
    source:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: Provider
      name: vmware-7
      namespace: mtv-test
  pvcNameTemplateUseGenerateName: true
  runPreflightInspection: true
  skipGuestConversion: false
  targetNamespace: mtv-test
  useCompatibilityMode: true
  vms:
  - id: vm-1002
    luks: {}
    name: ameen-RHEL9
  warm: true
status:
  conditions:
  - category: Required
    lastTransitionTime: "2025-09-30T10:53:53Z"
    message: The migration plan is ready.
    status: "True"
    type: Ready
  - category: Advisory
    durable: true
    lastTransitionTime: "2025-09-30T10:59:29Z"
    message: The plan execution has FAILED.
    status: "True"
    type: Failed
  - category: Warn
    items:
    - ' id:vm-1002 name:''ameen-RHEL9'' '
    lastTransitionTime: "2025-09-30T10:59:32Z"
    message: Target VM name does not comply with DNS1123 RFC, will be automatically
      changed.
    reason: NotValid
    status: "True"
    type: TargetNameNotValid
  migration:
    completed: "2025-09-30T10:59:29Z"
    history:
    - conditions:
      - category: Advisory
        durable: true
        lastTransitionTime: "2025-09-30T10:59:29Z"
        message: The plan execution has FAILED.
        status: "True"
        type: Failed
      map:
        network:
          generation: 1
          name: plan-rhel9-network-map
          namespace: mtv-test
          uid: 9ee2da5d-0bad-42c4-b532-92370f3510ad
        storage:
          generation: 1
          name: plan-rhel9-storage-map
          namespace: mtv-test
          uid: ed3d929e-6b56-4a91-b50b-bdc3a24965e7
      migration:
        generation: 1
        name: plan-rhel9-52gjs
        namespace: mtv-test
        uid: d1f6292d-08b3-47c2-93b5-bf85d9df0ef7
      plan:
        generation: 1
        name: plan-rhel9
        namespace: mtv-test
        uid: 350d78fb-62a2-4fc7-b691-a8e46ef113e1
      provider:
        destination:
          generation: 1
          name: host
          namespace: mtv-test
          uid: ba5a5f07-6473-4457-b198-16760cc349bd
        source:
          generation: 1
          name: vmware-7
          namespace: mtv-test
          uid: b32a4ab1-980b-4e30-af30-186487a93ca4
    started: "2025-09-30T10:53:57Z"
    vms:
    - completed: "2025-09-30T10:59:29Z"
      conditions:
      - category: Advisory
        durable: true
        lastTransitionTime: "2025-09-30T10:59:25Z"
        message: The VM migration has FAILED.
        status: "True"
        type: Failed
      error:
        phase: CopyDisks
        reasons:
        - 'Unable to connect to vddk data source: disk ''[nfs-us-mtv-v7] mtv-func-rhel9-ameen/mtv-func-rhel9-ameen.vmdk''
          is not present in VM hardware config or snapshot list'
        - 'Unable to connect to vddk data source: disk ''[nfs-us-mtv-v7] mtv-func-rhel9-ameen/mtv-func-rhel9-ameen_2.vmdk''
          is not present in VM hardware config or snapshot list'
      id: vm-1002
      luks: {}
      name: ameen-RHEL9
      newName: ameen-rhel9
      phase: Completed
      pipeline:
      - completed: "2025-09-30T10:54:03Z"
        description: Initialize migration.
        name: Initialize
        phase: Completed
        progress:
          completed: 0
          total: 1
        started: "2025-09-30T10:53:57Z"
      - completed: "2025-09-30T10:57:35Z"
        description: Inspect VM before migration.
        name: PreflightInspection
        phase: Completed
        progress:
          completed: 0
          total: 1
        started: "2025-09-30T10:54:03Z"
      - annotations:
          dvStatusCheckRetries: "1"
          unit: MB
        description: Transfer disks.
        error:
          phase: Running
          reasons:
          - 'Unable to connect to vddk data source: disk ''[nfs-us-mtv-v7] mtv-func-rhel9-ameen/mtv-func-rhel9-ameen.vmdk''
            is not present in VM hardware config or snapshot list'
          - 'Unable to connect to vddk data source: disk ''[nfs-us-mtv-v7] mtv-func-rhel9-ameen/mtv-func-rhel9-ameen_2.vmdk''
            is not present in VM hardware config or snapshot list'
        name: DiskTransfer
        phase: Running
        progress:
          completed: 0
          total: 21504
        started: "2025-09-30T10:57:42Z"
        tasks:
        - annotations:
            unit: MB
          error:
            phase: Running
            reasons:
            - 'Unable to connect to vddk data source: disk ''[nfs-us-mtv-v7] mtv-func-rhel9-ameen/mtv-func-rhel9-ameen.vmdk''
              is not present in VM hardware config or snapshot list'
          name: '[nfs-us-mtv-v7] mtv-func-rhel9-ameen/mtv-func-rhel9-ameen.vmdk'
          phase: Running
          progress:
            completed: 0
            total: 16384
          reason: 'Error; Unable to connect to vddk data source: disk ''[nfs-us-mtv-v7]
            mtv-func-rhel9-ameen/mtv-func-rhel9-ameen.vmdk'' is not present in VM
            hardware config or snapshot list'
          started: "2025-09-30T10:57:59Z"
        - annotations:
            unit: MB
          name: '[nfs-us-mtv-v7] mtv-func-rhel9-ameen/mtv-func-rhel9-ameen_3.vmdk'
          phase: Running
          progress:
            completed: 0
            total: 2048
          reason: 'Error; Unable to connect to vddk data source: disk ''[nfs-us-mtv-v7]
            mtv-func-rhel9-ameen/mtv-func-rhel9-ameen_3.vmdk'' is not present in VM
            hardware config or snapshot list'
          started: "2025-09-30T10:57:59Z"
        - annotations:
            unit: MB
          error:
            phase: Running
            reasons:
            - 'Unable to connect to vddk data source: disk ''[nfs-us-mtv-v7] mtv-func-rhel9-ameen/mtv-func-rhel9-ameen_2.vmdk''
              is not present in VM hardware config or snapshot list'
          name: '[nfs-us-mtv-v7] mtv-func-rhel9-ameen/mtv-func-rhel9-ameen_2.vmdk'
          phase: Running
          progress:
            completed: 0
            total: 3072
          reason: 'Error; Unable to connect to vddk data source: disk ''[nfs-us-mtv-v7]
            mtv-func-rhel9-ameen/mtv-func-rhel9-ameen_2.vmdk'' is not present in VM
            hardware config or snapshot list'
          started: "2025-09-30T10:57:59Z"
      - annotations:
          unit: MB
        description: Finalize disk transfer.
        name: Cutover
        progress:
          completed: 0
          total: 21504
        tasks:
        - annotations:
            unit: MB
          name: '[nfs-us-mtv-v7] mtv-func-rhel9-ameen/mtv-func-rhel9-ameen.vmdk'
          progress:
            completed: 0
            total: 16384
        - annotations:
            unit: MB
          name: '[nfs-us-mtv-v7] mtv-func-rhel9-ameen/mtv-func-rhel9-ameen_3.vmdk'
          progress:
            completed: 0
            total: 2048
        - annotations:
            unit: MB
          name: '[nfs-us-mtv-v7] mtv-func-rhel9-ameen/mtv-func-rhel9-ameen_2.vmdk'
          progress:
            completed: 0
            total: 3072
      - description: Convert image to kubevirt.
        name: ImageConversion
        phase: Pending
        progress:
          completed: 0
          total: 1
      - description: Create VM.
        name: VirtualMachineCreation
        phase: Pending
        progress:
          completed: 0
          total: 1
      started: "2025-09-30T10:53:57Z"
      warm:
        consecutiveFailures: 0
        failures: 3
        precopies:
        - createTaskId: task-4483
          deltas:
          - deltaId: 52 2e f2 59 04 40 cd 2d-c4 f1 27 0f 9d d3 35 82/18
            disk: '[nfs-us-mtv-v7] mtv-func-rhel9-ameen/mtv-func-rhel9-ameen.vmdk'
          - deltaId: 52 50 19 be 3c 6e 00 71-8a 06 79 00 81 34 a6 15/99
            disk: '[nfs-us-mtv-v7] mtv-func-rhel9-ameen/mtv-func-rhel9-ameen_3.vmdk'
          - deltaId: 52 e6 8a 6d 40 41 5b 9a-c4 8a 35 4d 20 87 34 80/99
            disk: '[nfs-us-mtv-v7] mtv-func-rhel9-ameen/mtv-func-rhel9-ameen_2.vmdk'
          snapshot: snapshot-2423
          start: "2025-09-30T10:53:59Z"
        successes: 0
  observedGeneration: 1
